SETLEDS(1)

NIMI
setleds - aseta näppäimistön ledit

YLEISKATSAUS
setleds [-v] [-L] [-D] [-F] [{+|-}num] [{+|-}caps] [{+|-}scroll]

KUVAUS

Setleds kertoo ja vaihtaa näennäispäätteen ledien lippujen (nimeltään NumLock, CapsLock ja ScrollLock) tilaa. Ilman parametreja setleds näyttää tämänhetkisen tilan. Parametrien kanssa setleds asettaa tai poistaa määritetyt liput (ja jättää muut ennalleen). Valitsimen -v kanssa setleds kertoo lippujen tilan ennen ja jälkeen muutoksen.

Jokaisella näennäispäätteellä on omat lippuasetuksensa. (Vakiosyötteeseen liittyvää näennäispäätettä käytetään).

Oletuksena (tai option -F kanssa) setleds muuttaa vain näennäispäätteen lippujen tilaa (joka vaikuttaa myös näppäimistön ledeihin).

Option -D kanssa setleds muuttaa sekä näennäispäätteen lippujen tilaa että niiden oletusasetuksia. (Siten myöhempi resetointi ei kumoa muutosta). Tämä saattaa olla hyödyllistä ihmisille, jotka haluavat NumLockin olevan aina päällä.

Option -L kanssa setleds ei koske näennäispäätteen lippuihin, vaan muuttaa pelkästään ledien tilaa. Tästä lähtien ledit eivät enää kerro näennäispäätteen lippujen tilaa (vaan näyttävät vain sen mitä niihin on asetettu). Komento setleds -L (ilman muita parametreja) palauttaa tilan, jossa ledit kertovat näennäispäätteen lippujen tilan.

Setleds -ohjelmaa voidaan käyttää /etc/rc -tiedostossa määrittämään NumLockin alku- ja oletustila. Esim.
INITTY=/dev/tty[1-8]
for tty in $INITTY; do
setleds -D +num < $tty
done

VALITSIMET

-num +num
    Clear or set NumLock. (At present, the NumLock setting influences the interpretation of keypad keys. Pressing the NumLock key complements the NumLock setting.)

-caps +caps
    Clear or set CapsLock. (At present, the CapsLock setting complements the Shift key when applied to letters. Pressing the CapsLock key complements the CapsLock setting.)

-scroll +scroll
    Poista tai aseta ScrollLock. (Tällä hetkellä ScrolLock-näppäimen (tai ^S/^Q:n) painaminen lopettaa/aloittaa tulostuksen konsoliin.)

BUGIT
Näppäimistösovellustilassa NumLock-näppäin ei vaikuta NumLock-lipun tilaan.

KATSO MYÖS
loadkeys(1)

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Lauri Nurmi <lanurmi@kauhajoki.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.